Summary:	A graphical (QT based) catalog program
Name:		cdcat
Version:	2.2
Release:	2.1
License:	GPLv2
Group:		Productivity/Multimedia/Other
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
Patch0:		%{name}-pro-2.0.patch
URL:		http://cdcat.sourceforge.net/
BuildRequires:	libexpat-devel libqt4-devel pcre-devel zlib-devel libexif-devel libbz2-devel
BuildRequires:	libtar-devel libmediainfo-devel lib7zip
BuildRequires:	update-desktop-files
BuildRequires:	pkg-config

BuildRoot: %{_tmppath}/%{name}-%{version}

%description
The cdcat is graphical (QT based) multiplatform (Linux/Windows/MacOS) catalog program
which scans the directories/drives you want and memoryze the filesystem
(including the tags of mp3's) and store it in a small file. The database is stored in
a gzipped XML format, so you can hack it, or use it if necessary :-)
Cdcat can store the content of some specified files up to a size limit if you want. (for example: *.nfo)

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
export LIB=%{_lib}
cd src
qmake -unix -o Makefile cdcat.pro
make
strip cdcat

%install
cd src
make INSTALL_ROOT="%{buildroot}" install
cd ..
install -d -m 755 %{buildroot}%{_datadir}/applications
%suse_update_desktop_file -i -r cdcat Productivity Archiving
rm -f %{buildroot}%{_datadir}/cdcat/cdcat.png
rm -f %{buildroot}%{_datadir}/cdcat/COPYING
install -d -m 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 cdcat.png %{buildroot}%{_datadir}/pixmaps/

%clean
%{__rm} -rf '%{buildroot}'

%files
%defattr(-,root,root)
%dir %{_datadir}/cdcat
%{_bindir}/cdcat
%{_datadir}/applications/cdcat.desktop
%{_datadir}/pixmaps/cdcat.png
%{_datadir}/cdcat/*

%changelog
* Sat Jan  5 2013 cs@linux-administrator.com
- Update to release 2.2
* Fri Aug  3 2012 cs@linux-administrator.com
- Update to release 2.1
* Fri May 18 2012 cs@linux-administrator.com
- Update to release 2.0
* Fri Mar 30 2012 cs@linux-administrator.com
- Update to release 1.9
* Mon Feb 20 2012 cs@linux-administrator.com
- Update to release 1.8
* Sat Feb 18 2012 cs@linux-administrator.com
- initial package build
